Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Perl > Perl Misc > Can not install Net::SSLeay

Reply
Thread Tools

Can not install Net::SSLeay

 
 
Peng Yu
Guest
Posts: n/a
 
      07-29-2010
Hi,

I try to install Net::SSLeay. And I have openssl installed. But I'm
not sure why see the following error. Could anybody help?

pengy@pearson:~/download/linux/perl_library/IO-Socket-SSL-1.33$ cpan
Net::SSLeay
CPAN: Storable loaded ok (v2.20)
Going to read '/home/pengy/.cpan/Metadata'
Database was generated on Thu, 29 Jul 2010 02:28:36 GMT
Running install for module 'Net::SSLeay'
CPAN: YAML loaded ok (v0.70)
Running make for F/FL/FLORA/Net-SSLeay-1.36.tar.gz
CPAN: Digest::SHA loaded ok (v5.47)
CPAN: Compress::Zlib loaded ok (v2.02)
Checksum for /home/pengy/.cpan/sources/authors/id/F/FL/FLORA/Net-
SSLeay-1.36.tar.gz ok
CPAN: Archive::Tar loaded ok (v1.54)
Net-SSLeay-1.36/
Net-SSLeay-1.36/constants.c
Net-SSLeay-1.36/inc/
Net-SSLeay-1.36/inc/Module/
Net-SSLeay-1.36/inc/Module/Install/
Net-SSLeay-1.36/inc/Module/Install/External.pm
Net-SSLeay-1.36/inc/Module/Install/Can.pm
Net-SSLeay-1.36/inc/Module/Install/WriteAll.pm
Net-SSLeay-1.36/inc/Module/Install/Makefile.pm
Net-SSLeay-1.36/inc/Module/Install/Metadata.pm
Net-SSLeay-1.36/inc/Module/Install/PRIVATE/
Net-SSLeay-1.36/inc/Module/Install/PRIVATE/Net/
Net-SSLeay-1.36/inc/Module/Install/PRIVATE/Net/SSLeay.pm
Net-SSLeay-1.36/inc/Module/Install/Base.pm
Net-SSLeay-1.36/inc/Module/Install/Fetch.pm
Net-SSLeay-1.36/inc/Module/Install/Compiler.pm
Net-SSLeay-1.36/inc/Module/Install/Win32.pm
Net-SSLeay-1.36/inc/Module/Install.pm
Net-SSLeay-1.36/QuickRef
Net-SSLeay-1.36/TODO
Net-SSLeay-1.36/README.Win32
Net-SSLeay-1.36/ppport.h
Net-SSLeay-1.36/MANIFEST.SKIP
Net-SSLeay-1.36/Changes
Net-SSLeay-1.36/t/
Net-SSLeay-1.36/t/data/
Net-SSLeay-1.36/t/data/0f89dbb5.0
Net-SSLeay-1.36/t/data/key.pem
Net-SSLeay-1.36/t/data/cert.pem
Net-SSLeay-1.36/t/data/key.pem.e
Net-SSLeay-1.36/t/handle/
Net-SSLeay-1.36/t/handle/external/
Net-SSLeay-1.36/t/handle/external/50_external.t
Net-SSLeay-1.36/t/handle/external/10_destroy.t
Net-SSLeay-1.36/t/handle/local/
Net-SSLeay-1.36/t/handle/local/05_use.t
Net-SSLeay-1.36/t/external/
Net-SSLeay-1.36/t/external/08_external.t
Net-SSLeay-1.36/t/external/15_altnames.t
Net-SSLeay-1.36/t/local/
Net-SSLeay-1.36/t/local/15_bio.t
Net-SSLeay-1.36/t/local/31_rsa_generate_key.t
Net-SSLeay-1.36/t/local/08_pipe.t
Net-SSLeay-1.36/t/local/03_use.t
Net-SSLeay-1.36/t/local/01_pod.t
Net-SSLeay-1.36/t/local/kwalitee.t
Net-SSLeay-1.36/t/local/04_basic.t
Net-SSLeay-1.36/t/local/06_tcpecho.t
Net-SSLeay-1.36/t/local/ptr_cast_test.c
Net-SSLeay-1.36/t/local/20_autoload.t
Net-SSLeay-1.36/t/local/07_sslecho.t
Net-SSLeay-1.36/t/local/00_ptr_cast.t
Net-SSLeay-1.36/t/local/02_pod_coverage.t
Net-SSLeay-1.36/t/local/30_error.t
Net-SSLeay-1.36/t/local/35_ephemeral.t
Net-SSLeay-1.36/t/local/05_passwd_cb.t
Net-SSLeay-1.36/t/local/50_digest.t
Net-SSLeay-1.36/typemap
Net-SSLeay-1.36/Makefile.PL
Net-SSLeay-1.36/META.yml
Net-SSLeay-1.36/examples/
Net-SSLeay-1.36/examples/stdio_bulk.pl
Net-SSLeay-1.36/examples/https-proxy-snif.pl
Net-SSLeay-1.36/examples/tcpcat.pl
Net-SSLeay-1.36/examples/cb-testi.pl
Net-SSLeay-1.36/examples/get_page.pl
Net-SSLeay-1.36/examples/req.conf
Net-SSLeay-1.36/examples/cli-cert.pl
Net-SSLeay-1.36/examples/sslecho.pl
Net-SSLeay-1.36/examples/get_page_cert.pl
Net-SSLeay-1.36/examples/makecert.pl
Net-SSLeay-1.36/examples/minicli.pl
Net-SSLeay-1.36/examples/ssl-inetd-serv.pl
Net-SSLeay-1.36/examples/tcpecho.pl
Net-SSLeay-1.36/examples/sslcat.pl
Net-SSLeay-1.36/examples/get_authenticated_page.pl
Net-SSLeay-1.36/examples/callback.pl
Net-SSLeay-1.36/examples/bio.pl
Net-SSLeay-1.36/examples/server_key.pem
Net-SSLeay-1.36/examples/ephemeral.pl
Net-SSLeay-1.36/examples/bulk.pl
Net-SSLeay-1.36/examples/ssl_diff.pl
Net-SSLeay-1.36/examples/passwd-cb.pl
Net-SSLeay-1.36/SSLeay.xs
Net-SSLeay-1.36/Credits
Net-SSLeay-1.36/RECIPE.Win32
Net-SSLeay-1.36/MANIFEST
Net-SSLeay-1.36/lib/
Net-SSLeay-1.36/lib/Net/
Net-SSLeay-1.36/lib/Net/SSLeay.pm
Net-SSLeay-1.36/lib/Net/SSLeay/
Net-SSLeay-1.36/lib/Net/SSLeay/Handle.pm
Net-SSLeay-1.36/README
CPAN: File::Temp loaded ok (v0.22)

CPAN.pm: Going to build F/FL/FLORA/Net-SSLeay-1.36.tar.gz

Cannot determine perl version info from lib/Net/SSLeay.pm
Cannot determine license info from lib/Net/SSLeay.pm
*** Could not find OpenSSL
If it's already installed, please set the OPENSSL_PREFIX
environment
variable accordingly. If it isn't installed yet, get the latest
version
from http://www.openssl.org/.
Warning: No success on command[/pearson/data/pengy/utility/linux/opt/
perl-5.10.1/bin/perl Makefile.PL]
FLORA/Net-SSLeay-1.36.tar.gz
/pearson/data/pengy/utility/linux/opt/perl-5.10.1/bin/perl
Makefile.PL -- NOT OK
Running make test
Make had some problems, won't test
Running make install
Make had some problems, won't install
pengy@pearson:~/download/linux/perl_library/IO-Socket-SSL-1.33$ su
administrator
Password:
administrator@pearson:/pearson/data/pengy/download/linux/perl_library/
IO-Socket-SSL-1.33$ sudo apt-get install libssl-dev
[sudo] password for administrator:
Reading package lists... Done
Building dependency tree
Reading state information... Done
libssl-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 
Reply With Quote
 
 
 
 
Justin C
Guest
Posts: n/a
 
      07-29-2010
On 2010-07-29, Peng Yu <(E-Mail Removed)> wrote:
> Hi,
>
> I try to install Net::SSLeay. And I have openssl installed. But I'm
> not sure why see the following error. Could anybody help?
>

[snip]

I would say that this is your problem, and, I'm guessing, I think it
might be that cpan/perl doesn't know where to look for your user
installed modules.


> *** Could not find OpenSSL
> If it's already installed, please set the OPENSSL_PREFIX environment
> variable accordingly. If it isn't installed yet, get the latest


I would do what it suggests above and try again.

Justin.

--
Justin C, by the sea.
 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't get net 2 or 3 to install on new install of winxp pro x64 Mark Windows 64bit 0 02-02-2008 05:43 AM
Can't get net 2 or 3 to install on new install of winxp pro x64 Mark Windows 64bit 0 02-02-2008 05:42 AM
XP Pro Install - Can't Install pro_seg5.swf Luke O'Malley Computer Support 1 12-05-2004 07:15 AM
MSI Installer Problem: can't install 2.4a2 on new install of Win2kSP2 Richard Hanson Python 13 08-31-2004 04:43 PM
Can't seem to boot from XP install CD (after botched Linux install) Cloud Burst Computer Support 3 05-22-2004 02:52 PM



Advertisments